


#define PIN 12

const int ledChannel = 0;
const int resolution = 8;

int freqs[] = {261.63, 293.66, 329.63, 349.23, 392, 440, 493.88};

void setup() {
  // put your setup code here, to run once:
// configure LED PWM functionalitites
  ledcSetup(ledChannel, freqs[0], resolution);
  
  // attach the channel to the GPIO to be controlled
  ledcAttachPin(PIN, ledChannel);

  ledcWrite(ledChannel, 150);
}

void loop() {
    int rnd = random(7);
    ledcSetup(ledChannel, freqs[rnd], resolution);
    ledcAttachPin(PIN, ledChannel);
    ledcWrite(ledChannel, 150);
    delay(100);
}
